package cn.com.qmth.examcloud.core.basic.api.client;

import cn.com.qmth.examcloud.core.basic.api.StudentCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.*;
import cn.com.qmth.examcloud.core.basic.api.response.*;
import org.springframework.stereotype.Service;

@Service
public class StudentCloudServiceClient extends AbstractCloudClientSupport implements StudentCloudService {

    private static final long serialVersionUID = 7669672850482842766L;

    @Override
    public SaveStudentResp saveStudent(SaveStudentReq req) {
        return post("student/saveStudent", req, SaveStudentResp.class);
    }

    @Override
    public GetStudentResp getStudent(GetStudentReq req) {
        return post("student/getStudent", req, GetStudentResp.class);
    }

    @Override
    public UnbindStudentCodeResp unbindStudentCode(UnbindStudentCodeReq req) {
        return post("student/unbindStudentCode", req, UnbindStudentCodeResp.class);
    }

    @Override
    public UpdatePasswordResp updatePassword(UpdatePasswordReq req) {
        return post("student/updatePassword", req, UpdatePasswordResp.class);
    }

    @Override
    public UpdatePhotoPathResp updatePhotoPath(UpdatePhotoPathReq req) {
        return post("student/updatePhotoPath", req, UpdatePhotoPathResp.class);
    }

    @Override
    public UpdateStudentStatusResp updateStudentStatus(UpdateStudentStatusReq req) {
        return post("student/updateStudentStatus", req, UpdateStudentStatusResp.class);
    }

    @Override
    public CountStudentResp countStudent(CountStudentReq req) {
        return post("student/countStudent", req, CountStudentResp.class);
    }

    @Override
    public GetStudentListByIdsResp getStudentListByIds(GetStudentListByIdsReq req) {
        return post("student/getStudentListByIds", req, GetStudentListByIdsResp.class);
    }

    @Override
    public GetStudentMapsResp getStudentMaps(GetStudentMapsReq req) {
        return post("student/getStudentMaps", req, GetStudentMapsResp.class);
    }

}
