package cn.com.qmth.examcloud.core.oe.admin.api;

import cn.com.qmth.examcloud.api.commons.CloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.*;
import cn.com.qmth.examcloud.core.oe.admin.api.response.*;

/**
 * 
 * @author  	chenken
 * @date    	2018年9月11日 下午4:23:43
 * @company 	QMTH
 * @description 考试记录相关
 */
public interface ExamRecordCloudService extends CloudService{

	/**
	 * 查询考试是否已经开考
	 * @param examRecordReq
	 * @return
	 */
	CheckExamIsStartedResp checkExamIsStarted(CheckExamIsStartedReq examRecordReq);
	/**
	 * 查询考试记录-供exchange使用
	 * @param req
	 * @return
	 */
	QueryExamRecordForSelectScoreResp queryExamRecordForSelectScoreByScoreId(QueryExamRecordForSelectScoreReq req);
	
	/**
	 * 查询考试记录-供exchange使用
	 * @param req
	 * @return
	 */
	QueryExamRecordForSelectScoreResp queryExamRecordForSelectScoreByExamStudentId(QueryExamRecordForSelectScoreReq req);
	
	/**
	 * 查询照片数据
	 * @param req
	 * @return
	 */
	GetExamPhotoVerifyDataResp getExamPhotoVerifyData(GetExamPhotoVerifyDataReq req);

	/**
	 * 获取待阅卷的考试记录
	 * @param req
	 * @return
	 */
	GetToBeMarkExamRecordResp getToBeMarkExamRecord(GetToBeMarkExamRecordReq req);

	/**
	 * 获取部分考试记录数据
	 * @param req
	 * @return
	 */
	GetPartialExamRecordDataResp getPartialExamRecordData(GetPartialExamRecordDataReq req);

	/**
	 * 分页获取待阅卷的考试记录
	 * @param req
	 * @return
	 */
	GetPagedToBeMarkExamRecordResp getPagedToBeMarkExamRecord(GetPagedToBeMarkExamRecordReq req);
	
	/**获取考试监考待审记录数
	 * @param req
	 * @return
	 */
	GetAwaitingAuditCountResp getGetAwaitingAuditCount(GetAwaitingAuditCountReq req);
	
	CheckPaperInExamResp checkPaperInExam(CheckPaperInExamReq req);
}
