package cn.com.qmth.examcloud.core.oe.student.client;

import cn.com.qmth.examcloud.core.oe.student.api.ExamRecordDataCloudService;
import cn.com.qmth.examcloud.core.oe.student.api.request.*;
import cn.com.qmth.examcloud.core.oe.student.api.response.*;
import org.springframework.stereotype.Service;

@Service("examRecordDataCloudService")
public class ExamRecordDataCloudServiceClient extends AbstractCloudClientSupport implements ExamRecordDataCloudService {

    private static final long serialVersionUID = 3745318048361113898L;

    @Override
    public ExistExamRecordDataResp existExamRecordData(ExistExamRecordDataReq req) {
        return post("examRecordData/existExamRecordData", req, ExistExamRecordDataResp.class);
    }

    @Override
    public GetExamRecordDataIdsResp getExamRecordDataIds(GetExamRecordDataIdsReq req) {
        return post("examRecordData/getExamRecordDataIds", req, GetExamRecordDataIdsResp.class);
    }

    @Override
    public UpdateExamRecordDataBatchNumResp updateExamRecordDataBatchNum(UpdateExamRecordDataBatchNumReq req) {
        return post("examRecordData/updateBatchNum", req, UpdateExamRecordDataBatchNumResp.class);
    }

    /**
     * 计算活体检测结果
     *
     * @param req
     * @return
     */
    @Override
    public CalcFaceBiopsyResultResp calcFaceBiopsyResult(CalcFaceBiopsyResultReq req) {
        return post("examRecordData/calcFaceBiopsyResult", req, CalcFaceBiopsyResultResp.class);
    }

    /**
     * 计算考试分数
     *
     * @param req
     * @return
     */
    @Override
    public CalcExamScoreResp calcExamScore(CalcExamScoreReq req) {
        return post("examRecordData/calcExamScore", req, CalcExamScoreResp.class);
    }

    /**
     * 获取旧活体检测结果
     *
     * @param req
     * @return
     */
    @Override
    public GetExamFaceLivenessVerifiesResp getExamFaceLivenessVerifies(GetExamFaceLivenessVerifiesReq req) {
        return post("examRecordData/getExamFaceLivenessVerifies", req, GetExamFaceLivenessVerifiesResp.class);
    }

    /**
     * 获取新活检
     *
     * @param req
     * @return
     */
    @Override
    public GetFaceBiopsyResp getFaceBiopsy(GetFaceBiopsyReq req) {
        return post("examRecordData/getFaceBiopsy", req, GetFaceBiopsyResp.class);
    }

    @Override
    public GetExamRecordQuestionsResp getExamRecordQuestions(GetExamRecordQuestionsReq req) {
        return post("examRecordData/getExamRecordQuestions", req, GetExamRecordQuestionsResp.class);
    }

    @Override
    public GetExamRecordPaperStructResp getExamRecordPaperStruct(GetExamRecordPaperStructReq req) {
        return post("examRecordData/getExamRecordPaperStruct", req, GetExamRecordPaperStructResp.class);
    }

    /**
     * 交卷
     *
     * @param req
     * @return
     */
    @Override
    public HandInExamResp handInExam(HandInExamReq req) {
        return post("examRecordData/handInExam", req, HandInExamResp.class);
    }

    @Override
    public UpdateExamRecordStatusResp updateExamRecordStatus(UpdateExamRecordStatusReq req) {
        return post("examRecordData/updateExamRecordStatus", req, UpdateExamRecordStatusResp.class);
    }

    /**
     * 获取考试记录数量
     *
     * @param req
     * @return
     */
    @Override
    public GetExamRecordNumResp getExamRecordNum(GetExamRecordNumReq req) {
        return post("examRecordData/getExamRecordNum", req, GetExamRecordNumResp.class);
    }

    /**
     * 更新部分考试数据
     *
     * @param req
     * @return
     */
    @Override
    public UpdatePartialExamRecordResp updatePartialExamRecord(UpdatePartialExamRecordReq req) {
        return post("examRecordData/updatePartialExamRecord", req, UpdatePartialExamRecordResp.class);
    }

    @Override
    public CheckPaperInExamResp checkPaperInExam(CheckPaperInExamReq req) {
        return post("examRecordData/checkPaperInExam", req, CheckPaperInExamResp.class);
    }

}
