package cn.com.qmth.examcloud.exchange.outer.api.bean;

import cn.com.qmth.examcloud.api.commons.exchange.JsonSerializable;
import io.swagger.annotations.ApiModelProperty;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2019年8月20日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class OuterExamStudent4ResetRespBean implements JsonSerializable {

    private static final long serialVersionUID = 2079003980099252759L;

    @ApiModelProperty(value = "考生ID", example = "123")
    private Long id;

    @ApiModelProperty(value = "学生ID", example = "123")
    private Long studentId;

    @ApiModelProperty(value = "顶级机构ID", example = "123")
    private Long rootOrgId;

    @ApiModelProperty(value = "考试ID", example = "123")
    private Long examId;

    @ApiModelProperty(value = "考试名称", example = "2024年6月期末考试")
    private String examName;

    @ApiModelProperty(value = "考试试卷类型（大写字母A-Z）", example = "X")
    private String paperType;

    @ApiModelProperty(value = "学生姓名", example = "张三")
    private String studentName;

    @ApiModelProperty(value = "证件号", example = "123456789123456789X")
    private String identityNumber;

    @ApiModelProperty(value = "学号", example = "S123456789")
    private String studentCode;

    @ApiModelProperty(value = "学习中心ID", example = "123")
    private Long orgId;

    @ApiModelProperty(value = "学习中心编码", example = "org123")
    private String orgCode;

    @ApiModelProperty(value = "学习中心名称", example = "中心123")
    private String orgName;

    @ApiModelProperty(value = "课程ID", example = "123")
    private Long courseId;

    @ApiModelProperty(value = "考试课程代码", example = "c101")
    private String courseCode;

    @ApiModelProperty(value = "考试课程名称", example = "C语言")
    private String courseName;

    @ApiModelProperty(value = "考试课程层次（ZSB:专升本；GQZ:高起专；GQB:高起本；ALL:不限）", example = "ALL")
    private String courseLevel;

    @ApiModelProperty(value = "专业名称", example = "计算机专业")
    private String specialtyName;

    @ApiModelProperty(value = "年级", example = "2024级")
    private String grade;

    @ApiModelProperty(value = "考点", example = "xxx")
    private String examSite;

    @ApiModelProperty(value = "信息采集人", example = "xxx")
    private String infoCollector;

    @ApiModelProperty(value = "备注", example = "xxx")
    private String remark;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseLevel() {
        return courseLevel;
    }

    public void setCourseLevel(String courseLevel) {
        this.courseLevel = courseLevel;
    }

    public String getPaperType() {
        return paperType;
    }

    public void setPaperType(String paperType) {
        this.paperType = paperType;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public String getOrgCode() {
        return orgCode;
    }

    public void setOrgCode(String orgCode) {
        this.orgCode = orgCode;
    }

    public String getSpecialtyName() {
        return specialtyName;
    }

    public void setSpecialtyName(String specialtyName) {
        this.specialtyName = specialtyName;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getExamSite() {
        return examSite;
    }

    public void setExamSite(String examSite) {
        this.examSite = examSite;
    }

    public String getInfoCollector() {
        return infoCollector;
    }

    public void setInfoCollector(String infoCollector) {
        this.infoCollector = infoCollector;
    }

}
