package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.enums.ExamType;
import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年11月16日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class OuterSaveExamReq extends EnterpriseRequest {

    private static final long serialVersionUID = 8298816850875139485L;

    @ApiModelProperty(value = "顶级机构ID", example = "123", required = true)
    private Long rootOrgId;

    @ApiModelProperty(value = "考试开始时间", example = "2024-06-01 08:00:00", required = true)
    private Date beginTime;

    @ApiModelProperty(value = "考试结束时间", example = "2024-06-01 10:00:00", required = true)
    private Date endTime;

    @ApiModelProperty(value = "考试名称（不允许重复）", example = "2024年6月期末考试", required = true)
    private String name;

    @ApiModelProperty(value = "考试编码（不允许重复，不传时取考试名称的值）", example = "xxx")
    private String code;

    @ApiModelProperty(value = "考试类型（ONLINE:网考；OFFLINE:离线；PRACTICE:练习）", example = "ONLINE", required = true)
    private ExamType examType;

    @ApiModelProperty(value = "考试时长（单位：分钟）", example = "120", required = true)
    private Integer duration;

    @ApiModelProperty(value = "考试备注", example = "xxx")
    private String remark;

    @ApiModelProperty(value = "考试次数", example = "1")
    private Long examTimes;

    @ApiModelProperty(value = "是否开启默认场次", example = "false")
    private Boolean enableExamStage;

    @ApiModelProperty(value = "迟到分钟数限制", example = "30")
    private Integer lateMinuteLimit;

    //	@ApiModelProperty(value = "抽题模式（WHOLE_SET:成套调用；RANDOM_PAPER:随机抽题）", example = "WHOLE_SET")
    //	private CallType callType;

    @ApiModelProperty(value = "是否定点交卷", example = "false")
    private Boolean enableTimingEnd;

    @ApiModelProperty(value = "IP白名单", example = "[\"192.168.1.123\"]")
    private List<String> ipWhitelist;

    @ApiModelProperty(value = "扩展属性集合", example = "{\"MARKING_TYPE\":\"ALL\",\"IS_FACE_ENABLE\":\"false\",\"IP_LIMIT\":\"false\"}")
    private Map<String, String> properties;

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Date getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(Date beginTime) {
        this.beginTime = beginTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public ExamType getExamType() {
        return examType;
    }

    public void setExamType(ExamType examType) {
        this.examType = examType;
    }

    public Integer getDuration() {
        return duration;
    }

    public void setDuration(Integer duration) {
        this.duration = duration;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getExamTimes() {
        return examTimes;
    }

    public void setExamTimes(Long examTimes) {
        this.examTimes = examTimes;
    }

    public Map<String, String> getProperties() {
        return properties;
    }

    public void setProperties(Map<String, String> properties) {
        this.properties = properties;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public Boolean getEnableExamStage() {
        return enableExamStage;
    }

    public void setEnableExamStage(Boolean enableExamStage) {
        this.enableExamStage = enableExamStage;
    }

    public Integer getLateMinuteLimit() {
        return lateMinuteLimit;
    }

    public void setLateMinuteLimit(Integer lateMinuteLimit) {
        this.lateMinuteLimit = lateMinuteLimit;
    }

    public Boolean getEnableTimingEnd() {
        return enableTimingEnd;
    }

    public void setEnableTimingEnd(Boolean enableTimingEnd) {
        this.enableTimingEnd = enableTimingEnd;
    }

    public List<String> getIpWhitelist() {
        return ipWhitelist;
    }

    public void setIpWhitelist(List<String> ipWhitelist) {
        this.ipWhitelist = ipWhitelist;
    }

}
