package cn.com.qmth.examcloud.exchange.outer.api.request;

import cn.com.qmth.examcloud.api.commons.exchange.EnterpriseRequest;
import io.swagger.annotations.ApiModelProperty;

public class OuterUpdateExamStudentStatusReq extends EnterpriseRequest {

    private static final long serialVersionUID = -4293362630253480701L;

    @ApiModelProperty(value = "顶级机构ID", example = "123", required = true)
    private Long rootOrgId;

    @ApiModelProperty(value = "考试ID", example = "123")
    private Long examId;

    @ApiModelProperty(value = "考试编码", example = "2024年6月期末考试", required = true)
    private String examCode;

    @ApiModelProperty(value = "考试名称（实际作为考试编码使用）", example = "2024年6月期末考试")
    private String examName;

    @ApiModelProperty(value = "学生ID", example = "123")
    private Long studentId;

    @ApiModelProperty(value = "证件号", example = "123456789123456789X", required = true)
    private String identityNumber;

    @ApiModelProperty(value = "考试课程ID", example = "123")
    private Long courseId;

    @ApiModelProperty(value = "考试课程代码", example = "c101", required = true)
    private String courseCode;

    @ApiModelProperty(value = "是否启用", example = "false", required = true)
    private Boolean enable;

    public String getExamName() {
        return examName;
    }

    public void setExamName(String examName) {
        this.examName = examName;
    }

    public Long getRootOrgId() {
        return rootOrgId;
    }

    public void setRootOrgId(Long rootOrgId) {
        this.rootOrgId = rootOrgId;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getExamCode() {
        return examCode;
    }

    public void setExamCode(String examCode) {
        this.examCode = examCode;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public Long getCourseId() {
        return courseId;
    }

    public void setCourseId(Long courseId) {
        this.courseId = courseId;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }

}
